Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_TTY_IO::Serial_Params Struct Reference

`#include <TTY_IO.h>`

List of all members.

## Public Member Functions
| Serial_Params (void)
## Public Attributes
int | baudrate
int | xonlim
int | xofflim
unsigned int | readmincharacters
int | readtimeoutmsec
bool | parityenb
const char * | paritymode
bool | ctsenb
int | rtsenb
bool | xinenb
bool | xoutenb
bool | modem
bool | rcvenb
bool | dsrenb
bool | dtrdisable
unsigned char | databits
unsigned char | stopbits

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_TTY_IO::Serial_Params::Serial_Params | ( | void |  | ) |

## Member Data Documentation

int ACE_TTY_IO::Serial_Params::baudrate

| Specifies the baudrate at which the communnication port operates.

bool ACE_TTY_IO::Serial_Params::ctsenb

| Enable & set CTS mode. Note that RTS & CTS are enabled/disabled together on some systems (RTS/CTS is enabled if either `ctsenb` or `rtsenb` is set).

unsigned char ACE_TTY_IO::Serial_Params::databits

| Data bits. Valid values 5, 6, 7 and 8 data bits. Additionally Win32 supports 4 data bits.

bool ACE_TTY_IO::Serial_Params::dsrenb

| Controls whether DSR is disabled or enabled (Win32).

bool ACE_TTY_IO::Serial_Params::dtrdisable

| Controls whether DTR is disabled or enabled.

bool ACE_TTY_IO::Serial_Params::modem

| Specifies if device is a modem (POSIX). If not set modem status lines are ignored.

bool ACE_TTY_IO::Serial_Params::parityenb

| Enable/disable parity checking.

const char* ACE_TTY_IO::Serial_Params::paritymode

| Specifies the parity mode. POSIX supports "even" and "odd" parity. Additionally Win32 supports "mark" and "space" parity modes.

bool ACE_TTY_IO::Serial_Params::rcvenb

| Enable/disable receiver (POSIX).

unsigned int ACE_TTY_IO::Serial_Params::readmincharacters

| Specifies the minimum number of characters for non-canonical read (POSIX).

int ACE_TTY_IO::Serial_Params::readtimeoutmsec

| Specifies the time to wait before returning from read. Negative value means infinite timeout.

int ACE_TTY_IO::Serial_Params::rtsenb

| Enable & set RTS mode. Note that RTS & CTS are enabled/disabled together on some systems (RTS/CTS is enabled if either `ctsenb` or `rtsenb` is set). 0 = Disable RTS. 1 = Enable RTS. 2 = Enable RTS flow-control handshaking (Win32). 3 = Specifies that RTS line will be high if bytes are available for transmission. After transmission RTS will be low (Win32).

unsigned char ACE_TTY_IO::Serial_Params::stopbits

| Stop bits. Valid values are 1 and 2.

bool ACE_TTY_IO::Serial_Params::xinenb

| Enable/disable software flow control on input.

int ACE_TTY_IO::Serial_Params::xofflim

| Specifies the maximum number of bytes in input buffer before XOFF char is sent. Negative value indicates that default value should be used (Win32).

int ACE_TTY_IO::Serial_Params::xonlim

| Specifies the minimum number of bytes in input buffer before XON char is sent. Negative value indicates that default value should be used (Win32).

bool ACE_TTY_IO::Serial_Params::xoutenb

| Enable/disable software flow control on output.

The documentation for this struct was generated from the following files:

- TTY_IO.h
- TTY_IO.cpp